Subject: Re: [PATCH] t5516: fail to run in verbose mode

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Nov 2022 13:58:55 +0900

Jeff King <[email-masked]> writes:

> One thing I'd worry about is buffering. One of the nice things about
> "-v" is that there is nothing between you and the running programs, so
> you are much less likely to be fooled about the order of events in the
> output. Or wondering why nothing is happening because real-time output
> seems to have stalled. But piping through "cat" may end up with weird
> pauses while it fills up a 4k buffer. Using stdbuf could help, but
> that's far from portable.

We could pipe to "dd bs=1 conv=fsync" (tongue-in-cheek---I think
conv=fsync is a GNU thing).